## BamfControl BamfControl — The base class for all controls |

## Functions

BamfControl * | bamf_control_get_default ()
void | bamf_control_insert_desktop_file ()
void | bamf_control_create_local_desktop_file ()
void | bamf_control_register_application_for_pid ()
void | bamf_control_set_approver_behavior ()

## Object Hierarchy

        GObject
        ╰── BamfControl

## Description

BamfControl is the base class that all controls need to derive from.

## Functions

### bamf_control_get_default ()

    BamfControl *
    bamf_control_get_default (void);

#### Returns

The default BamfControl reference.

[transfer full]

### bamf_control_insert_desktop_file ()

    void
    bamf_control_insert_desktop_file (BamfControl *control,
                                      const gchar *desktop_file);

### bamf_control_create_local_desktop_file ()

    void
    bamf_control_create_local_desktop_file
                                   (BamfControl *control,
                                    BamfApplication *application);

### bamf_control_register_application_for_pid ()

    void
    bamf_control_register_application_for_pid
                                   (BamfControl *control,
                                    const gchar *desktop_file,
                                    gint32 pid);

### bamf_control_set_approver_behavior ()

    void
    bamf_control_set_approver_behavior (BamfControl *control,
                                        gint32 behavior);